## org.apache.mahout.math
Interface MatrixTimesOps

All Known Implementing Classes:
  DiagonalMatrix

    public interface MatrixTimesOps

Optional interface for optimized matrix multiplications. Some concrete Matrix implementations may mix this in.

Method Summary
`Matrix` `timesLeft(Matrix that)` Computes matrix product of (that * this)
`Matrix` `timesRight(Matrix that)` computes matrix product of (this * that)

Method Detail

### timesRight

    Matrix timesRight(Matrix that)

  computes matrix product of (this * that)

### timesLeft

    Matrix timesLeft(Matrix that)

  Computes matrix product of (that * this)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.